
Redmine - Defect #3275

When reading RSS feed in MS Outlook, the inline links are broken.

2009-04-30 13:27 - Jaeyoun Yi

Status: Closed Start date: 2009-04-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Feeds Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

When reading RSS feed in MS Outlook, inline links are broken due to the partial URL without host address.

I tested it with other RSS readers, such as IE 7.0, FireFox 3.0.10 and Google Reader, but no problems are there. However, MS

Outlook can't parse the link properly.

We can fix this problem by modifying the line 27 of /trunk/app/views/common/feed.atom.rxml as shown in the followings.

        xml.text! textilizable(item.event_description, :only_path => false)

 Please, include the above in the next version.

Thanks.

Associated revisions

Revision 2699 - 2009-05-01 13:39 - Jean-Philippe Lang

Adds hostname to Redmine links in atom feeds (#3275).

History

#1 - 2009-05-01 13:31 - Jean-Philippe Lang

- Category set to Feeds

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Fixed in r2699.
